TP-Docs
HTML5 Icon HTML5 Icon HTML5 Icon
TP on Social Media

Recent

Welcome to TinyPortal. Please login or sign up.

July 21, 2024, 03:13:46 PM

Login with username, password and session length
Members
Stats
  • Total Posts: 195,333
  • Total Topics: 21,233
  • Online today: 103
  • Online ever: 3,540 (September 03, 2022, 01:38:54 AM)
Users Online
  • Users: 1
  • Guests: 57
  • Total: 58
  • @rjen

db_query error on 2.0.14 installation

Started by coyoteboy, September 30, 2017, 11:16:29 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

coyoteboy

Hi,

Hoping someone can help here. I have recently shifted an SMF site over to a different server. In order to move it, at the last minute, I had to run an upgrade process from 1.0.9 > 1.1.21 > 2.0.14. In this process, I think the TP installation died but the forum functioned fine.

I have been fruitlessly trying to install SimplePortal but getting installation errors I couldn't solve (parse problems). I figured I'd try to install TP instead, so downloaded the latest zip and went through the package manager. All the initial tests showed fine so I proceeded. On the next page update it says:
An Error Has Occurred!
Call to undefined function db_query()

I'm not 100% sure where it went wrong yet. Can anyone throw any pointers my way? IF I try to acces my main page I get a pain unformatted message, but if I try to access the admin pages through the back button I get the messages in the area the settings would normally be found.

Can anyone help me un-bork myself?

SMF 2.0.14, TP1.3, PHP7, apache2, mysql, ubuntu16.04.

lurkalot

Hi, sorry to hear you're having issues. Have you a link to your forum please

coyoteboy

Hi,

Thanks for the swift reply!

It can be found here:

http://gt4.bucklevision.co.uk

Cheers
James


lurkalot

Thanks, reason I asked is so I could point you to,

http://gt4.bucklevision.co.uk/index.php?action=tpadmin;noblocks

If you can get to the TP admin try turning off your blocks until the site returns to normal.  Then see what block is causing the problem.

Code for SMF 2.0.xx is completely different from what's used in SMF 1.1.xx hence why you're probably having problems.

coyoteboy

Hmmm I see. I was under the impression it was fully compatible. Oops. I may end up restoring a backup, I guess!

Attached is all I get, and any menu choice leads to the same page.



lurkalot

Quote from: coyoteboy on September 30, 2017, 11:56:12 PM
Hmmm I see. I was under the impression it was fully compatible. Oops. I may end up restoring a backup, I guess!

Attached is all I get, and any menu choice leads to the same page.

TP 1.5 should be ok running on php7 but you upgraded from SMF 1.1 to SMF 2.0 with a old version of TP installed which isn't compatible with php7

coyoteboy

After the upgrade to 2 all the mods were lost (in the package list but all showed as "install" with no option to remove.

coyoteboy

Gave up, have reinstated backup and will figure out how to strip out all remnants of the old installation.

Thanks for your help though, much appreciated!